Bug 1259490 - AttributeError: 'Namespace' object has no attribute 'list'
AttributeError: 'Namespace' object has no attribute 'list'
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rolekit (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 14:10 EDT by Juan Orti
Modified: 2015-09-04 15:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.4.0-4.rc1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-04 15:45:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Orti 2015-09-02 14:10:12 EDT
Description of problem:

# rolectl list
Traceback (most recent call last):
  File "/usr/bin/rolectl", line 192, in <module>
    if a.list == "roles":
AttributeError: 'Namespace' object has no attribute 'list'


Version-Release number of selected component (if applicable):

# rpm -q rolekit
rolekit-0.4.0-2.beta1.fc23.noarch

How reproducible:
Always
Comment 1 Stephen Gallagher 2015-09-02 14:29:41 EDT
Known and fixed in 0.4.0rc1 which I'm releasing today.
Comment 2 Fedora Update System 2015-09-02 15:05:27 EDT
rolekit-0.4.0-3.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14897
Comment 3 Fedora Update System 2015-09-03 05:52:23 EDT
rolekit-0.4.0-3.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update rolekit'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14897
Comment 4 Fedora Update System 2015-09-03 12:04:42 EDT
rolekit-0.4.0-4.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14897
Comment 5 Fedora Update System 2015-09-04 03:34:16 EDT
rolekit-0.4.0-4.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update rolekit'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14897
Comment 6 Fedora Update System 2015-09-04 15:45:34 EDT
rolekit-0.4.0-4.rc1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.